components:
  schemas:

    CategoryResponse:
      type: object
      properties:
        id:
          type: string
          description: Category unique identifier
          example: 018f22d5-4b3a-7c21-b93f-9a5aefc1b847
        name:
          type: string
          description: Category name
          example: Exact sciences
        description:
          type: string
          description: Category description
          example: "Mathematics and related subjects"
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
          example: "2023-10-15T14:30:00.000Z"
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
          example: "2023-10-15T14:30:00.000Z"